## ocamlmakefile 6.30.0

=== gtk/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = demoterm.ml
RESULT = demoterm
PACKS = lablgtk2
THREADS = yes

OCAMLBLDFLAGS = lablgtk.cma gtkInit.cmo gtkThread.cmo
OCAMLNLDFLAGS = lablgtk.cmxa gtkInit.cmx gtkThread.cmx

include $(OCAMLMAKEFILE)

## ocamlmakefile 6.29.3

=== debian/changelog ===
ocamlmakefile (6.29.3-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Ralf Treinen ]
  * Added dependency on ${misc:Depends}
  * debian/copyright: Removed special licence for debian packaging.
  * Standards-Version 3.8.3 (no change)
  * Source format 3.0 (quilt)

 -- Ralf Treinen <treinen@debian.org>  Sun, 03 Jan 2010 12:36:29 +0100

ocamlmakefile (6.29.3-1) unstable; urgency=low

  [ Samuel Mimram ]
  * Changed section to ocaml.
  * Update Homepage, closes: #528954.

  [ Ralf Treinen ]
  * New upstream version.
  * Standards-Version 3.8.1 (no change)
  * dh_installchangelogs: install Changelog instead of Changes
  * DH compat level 7; update build deps; dh_clean -k => dh_prep
  * debian/copyright: point to versioned LGPL file; update years of
    upstream copyright.

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 May 2009 09:08:34 +0200

ocamlmakefile (6.29.1-1) unstable; urgency=low

  * New upstream release
  * Adapt debian/rules to the fact that upstream has renamed README to
    README.txt

 -- Ralf Treinen <treinen@debian.org>  Tue, 27 Jan 2009 08:06:54 +0100

ocamlmakefile (6.29.0-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Thu, 20 Nov 2008 07:40:35 +0100

ocamlmakefile (6.28.2-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Thu, 23 Oct 2008 20:11:27 +0200

ocamlmakefile (6.28.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added Homepage field
  * Standards-version 3.8.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 Aug 2008 22:28:45 +0200

ocamlmakefile (6.28.0-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New upstream release.
  * Updated standards version, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Tue, 29 Apr 2008 23:20:15 +0200

ocamlmakefile (6.27.0-1) unstable; urgency=low

  * New upstream release.
  * Adds a debug-native-code target, closes: #449451.

 -- Samuel Mimram <smimram@debian.org>  Wed, 28 Nov 2007 23:47:46 +0000

ocamlmakefile (6.26.0-1) unstable; urgency=low

  * New upstream release.
  * Added ocaml-nox to recommends.
  * Removed Sven Luther from uploaders. 

 -- Samuel Mimram <smimram@debian.org>  Mon, 15 Oct 2007 18:42:56 +0000

ocamlmakefile (6.25.0-1) unstable; urgency=low

  * New upstream release. This version has new targets libinstall-byte-code
    and libinstall-native-code (closes: Bug#381638).

 -- Ralf Treinen <treinen@debian.org>  Mon, 20 Aug 2007 17:42:53 +0200

ocamlmakefile (6.24.8-2) unstable; urgency=low

  * Removed trailing comma from the Uploaders field (closes: Bug#426487)

 -- Ralf Treinen <treinen@debian.org>  Wed, 04 Jul 2007 21:16:02 +0200

ocamlmakefile (6.24.8-1) unstable; urgency=low

  * Initial release (Closes: Bug#425293). This package is a split off from
    the ocaml-tools package.

 -- Ralf Treinen <treinen@debian.org>  Fri, 18 May 2007 22:22:08 +0200

=== debian/control ===
Source: ocamlmakefile
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
 Remi Vanicat <vanicat@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlmakefile.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlmakefile.git
Homepage: http://www.ocaml.info/home/ocaml_sources.html#ocaml-make

Package: ocamlmakefile
Architecture: all
Depends: ${misc:Depends} 
Conflicts: ocaml-tools (<= 2007.02.04-2)
Replaces: ocaml-tools
Recommends: ocaml-nox
Description: a general makefile for the Objective Caml programming language
 OCamlMakefile is a general makefile which allows a programmer to
 create quickly customized makefiles for a project written in the
 Objective Caml programming language. Typically, a customized makefile
 consists of the definition of a few variables, and an inclusion of
 the general makefile provided by this package.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocaml-tools

#export DH_VERBOSE=1

# top level dir for documentation
export DOCDIR=debian/ocamlmakefile/usr/share/doc/ocamlmakefile

# shared dir where files are to be installed
export SHDIR=debian/ocamlmakefile/usr/share/ocamlmakefile

build: buildstamp 
buildstamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean
	-rm buildstamp

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	for f in calc camlp4 idl gtk threads; do\
	  cp -r $$f $(DOCDIR)/examples;\
	  sed "s|../OCamlMakefile|/usr/share/ocamlmakefile/OCamlMakefile|"\
		< $$f/Makefile\
		> $(DOCDIR)/examples/$$f/Makefile;\
	done
	cp debian/README.examples.idl $(DOCDIR)/examples/calc/README
	cp debian/README.examples.idl $(DOCDIR)/examples/idl/README
	sed "s|/usr/local/lib|/usr/lib|" < OCamlMakefile \
		> $(SHDIR)/OCamlMakefile

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README.txt
	dh_installchangelogs Changelog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ocamlmakefile 6.30.0

=== debian/changelog ===
ocamlmakefile (6.30.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.1 (no change) 

 -- Ralf Treinen <treinen@debian.org>  Mon, 28 Mar 2011 21:02:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Samuel Mimram <smimram@debian.org>,
  Stefano Zacchiroli <zack@debian.org>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlmakefile.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlmakefile.git
 Homepage: http://www.ocaml.info/home/ocaml_sources.html#ocaml-make

## ocamlmakefile 6.33.0

=== debian/changelog ===
ocamlmakefile (6.33.0-1) unstable; urgency=low

  [ Ralf Treinen ]
  * New upstream version.
  * debian/rules: renamed target "buildstamp" to "build-stamp", added
    targets build-{arch,indep}.
  * debian/control:
    - do not start short description on an article
    - standards version 3.9.2 (no change)
  
  [ Stefano Zacchiroli ]
  * remove myself from Uploaders
  
 -- Ralf Treinen <treinen@debian.org>  Tue, 27 Dec 2011 09:45:53 +0100

=== debian/control ===
Source: ocamlmakefile
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
 Remi Vanicat <vanicat@debian.org>,
 Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlmakefile.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlmakefile.git
Homepage: http://www.ocaml.info/home/ocaml_sources.html#ocaml-make

Package: ocamlmakefile
Architecture: all
Depends: ${misc:Depends} 
Conflicts: ocaml-tools (<= 2007.02.04-2)
Replaces: ocaml-tools
Recommends: ocaml-nox
Description: general makefile for the Objective Caml programming language
 OCamlMakefile is a general makefile which allows a programmer to
 create quickly customized makefiles for a project written in the
 Objective Caml programming language. Typically, a customized makefile
 consists of the definition of a few variables, and an inclusion of
 the general makefile provided by this package.

=== debian/watch ===
version=3
http://www.ocaml.info/ocaml_sources/ocaml-make-(.*)\.tar\.gz

## ocamlmakefile 6.36.0

=== debian/changelog ===
ocamlmakefile (6.36.0-2) unstable; urgency=low

  * debian/control: updated project homepage
  * debian/watch, debian/copyright: new upstream repository at bitbucket.org

 -- Ralf Treinen <treinen@debian.org>  Fri, 08 Jun 2012 07:15:32 +0200

ocamlmakefile (6.36.0-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.9.3
    - debian/policy: convert to machine-readable format 1.0
  
 -- Ralf Treinen <treinen@debian.org>  Mon, 05 Mar 2012 08:32:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Remi Vanicat <vanicat@debian.org>,
  Samuel Mimram <smimram@debian.org>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlmakefile.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlmakefile.git
-Homepage: http://www.ocaml.info/home/ocaml_sources.html#ocaml-make
+Homepage: https://bitbucket.org/mmottl/ocaml-makefile
 
 Package: ocamlmakefile
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,18 @@
 # shared dir where files are to be installed
 export SHDIR=debian/ocamlmakefile/usr/share/ocamlmakefile
 
-build: buildstamp 
-buildstamp:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
+build-stamp:
 	dh_testdir
 
 clean:
 	dh_testdir
 	dh_testroot
 	dh_clean
-	-rm buildstamp
+	-rm build-stamp
 
 install:
 	dh_testdir

## ocamlmakefile 6.37.0

=== calc/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = test_impl.c test.idl parser.mly lexer.mll calc.ml
RESULT  = calc
THREADS = yes

include $(OCAMLMAKEFILE)

=== idl/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = c_idl.idl c_impl.c idl_test.ml
RESULT  = idl_test

include $(OCAMLMAKEFILE)

=== threads/Makefile ===
# Set OCamlMakefile to use
export OCAMLMAKEFILE = ../OCamlMakefile

# Export some common variable settings
export THREADS = yes

# Define project "ex1"
define PROJ_ex1
  SOURCES = ex1.ml
  RESULT = ex1
endef
export PROJ_ex1

# Define project "ex2"
define PROJ_ex2
  SOURCES = ex2.ml
  RESULT = ex2
endef
export PROJ_ex2

# If the environment does not define subprojects to handle,
# then use "ex1 ex2" as default
ifndef SUBPROJS
  export SUBPROJS = ex1 ex2
endif

# Default target to use
all:	bc

# Catch-all target will be applied to all subprojects automatically
%:
	@$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@

=== debian/changelog ===
ocamlmakefile (6.37.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Thu, 09 May 2013 20:20:26 +0200

ocamlmakefile (6.37.0-1) experimental; urgency=low

  * New upstream release
  * Standards-Version 3.9.4 (no change)
  * Migrate debian/rules to dh(1):
    - debian/rules: use dh
    - debian/control: bump version in build-dependency on debhelper
    - debian/rules: build modified version of OCamlMakefile and of the examples
      in temporary directory builddir.
    - add files debian/ocamlmakefile.{dirs,install,examples,docs} to install
      stuff.

 -- Ralf Treinen <treinen@debian.org>  Thu, 11 Oct 2012 08:58:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Ralf Treinen <treinen@debian.org>,
  Remi Vanicat <vanicat@debian.org>,
  Samuel Mimram <smimram@debian.org>
-Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlmakefile.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlmakefile.git
 Homepage: https://bitbucket.org/mmottl/ocaml-makefile

=== debian/watch ===
version=3
https://bitbucket.org/mmottl/ocaml-makefile/downloads/ocaml-makefile-([0-9.a-z]+).tar.gz

## ocamlmakefile 6.39.2

=== calc/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = test_impl.c test.idl parser.mly lexer.mll calc.ml
PACKS   = camlidl
RESULT  = calc
THREADS = yes

include $(OCAMLMAKEFILE)

=== camlp4/Makefile ===
OCAMLMAKEFILE := ../OCamlMakefile

SOURCES := main.ml
PRE_TARGETS := repeat_syn.cmi repeat_syn.cmo repeat_syn.annot
ANNOTATE := yes
USE_CAMLP4 := yes
RESULT := main

include $(OCAMLMAKEFILE)

=== gtk/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = demoterm.ml
RESULT = demoterm
PACKS = lablgtk2
THREADS = yes

include $(OCAMLMAKEFILE)

=== idl/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = c_idl.idl c_impl.c idl_test.ml
PACKS   = camlidl
RESULT  = idl_test

include $(OCAMLMAKEFILE)

=== debian/changelog ===
ocamlmakefile (6.39.2-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Remove Samuel from Uploaders
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Aug 2023 11:00:12 +0200

ocamlmakefile (6.39.2-1) unstable; urgency=medium

  * New upstream version
  * Update debian/watch to github tags
  * Update homepage to github
  * Update Vcs-{Git,Browser} to salsa
  * Change Priority from extra to optional
  * Build-depend on debian-compat, remove file debian/compat
  * Debhelper-compatibility level 12
  * debian/copyright:
    - use https in format header
    - update copyright years
  * Standards-Version 4.4.1 (no change)
  * Add an as-installed test

 -- Ralf Treinen <treinen@debian.org>  Tue, 10 Dec 2019 20:45:41 +0100

ocamlmakefile (6.37.0-3) unstable; urgency=medium

  [Remi Vanicat]
  * Removing myself (Rémi Vanicat) from uploaders

  [Ralf Treinen]
  * Debhelper compatibility level 10
  * Standards-Version 3.9.8 (no change)
  * Vcs-*: use secure URI
  * Drop Replaces/Conflicts to 10 year-old version of ocaml-tools
  * Update Homepage

 -- Ralf Treinen <treinen@debian.org>  Tue, 24 Jan 2017 03:23:38 +0100

=== debian/control ===
Source: ocamlmakefile
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlmakefile
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlmakefile.git
Homepage: https://mmottl.github.io/ocaml-makefile/

Package: ocamlmakefile
Architecture: all
Depends: ${misc:Depends}
Recommends: ocaml
Description: general makefile for the Objective Caml programming language
 OCamlMakefile is a general makefile which allows a programmer to
 create quickly customized makefiles for a project written in the
 Objective Caml programming language. Typically, a customized makefile
 consists of the definition of a few variables, and an inclusion of
 the general makefile provided by this package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	mkdir -p builddir
	mkdir -p builddir/examples
	sed "s|/usr/local/lib|/usr/lib|" \
		< OCamlMakefile > builddir/OCamlMakefile
	for f in calc camlp4 idl gtk threads; do\
	  cp -r $$f builddir/examples;\
	  sed "s|../OCamlMakefile|/usr/share/ocamlmakefile/OCamlMakefile|"\
		< $$f/Makefile\
		> builddir/examples/$$f/Makefile;\
	done
	cp debian/README.examples.idl builddir/examples/calc/README
	cp debian/README.examples.idl builddir/examples/idl/README

=== debian/tests/control ===
Tests: calc
Depends: @, camlidl, ocaml-nox, ocaml-findlib

=== debian/watch ===
version=4
https://github.com/mmottl/ocaml-makefile/tags .*/v?(\d[^\s+]+)\.tar\.gz
